Configuration(function(RepositoryFactory, ContextRegister, Query) {

	var ParamfilialRepository = RepositoryFactory.factory('cadEst#/crud/paramfilial', 'LOCAL', 1, 30000);

	ParamfilialRepository.getParamfilial = function(nrorg, cdfilial) {
		return this.download(Query.build()
			.where('nrorg').equals(nrorg)
			.where('cdfilial').equals(cdfilial)
		);
	};

	ContextRegister.register('ParamfilialRepository', ParamfilialRepository);

});