var Ger09900_AgrupamentoDeProdutos_Service = function(restEngine, localStorageEngine) {

    this.verificaProdutos = function(filter){
        return restEngine.post('cadEst#/crud/produto_nvsubgrprod', {
            "requestType": "FilterData",
            "filter": filter
        });
    };
    this.saveSubGrupo = function(data) {
        return restEngine.post('cadEst#/saveSubGrupo', {
            "requestType": "DataSet",
            "dataset": data
        });
    };

    this.saveProduto = function(data) {
        return restEngine.post('cadEst#/saveProduto', {
            "requestType": "DataSet",
            "dataset": data
        });
    };

    this.deleteProduto = function(data) {
        return restEngine.post('cadEst#/deleteProduto', {
            "requestType": "DataSet",
            "dataset": data
        });
    };
    this.deleteGrupo = function(data) {
        return restEngine.post('cadEst#/deleteGrupo', {
            "requestType": "DataSet",
            "dataset": data
        });
    };
    this.deleteSubGrupo = function(data) {
        return restEngine.post('cadEst#/deleteSubGrupo', {
            "requestType": "DataSet",
            "dataset": data
        });
    };

};
Configuration(function(ContextRegister) {
    ContextRegister.register("Ger09900_AgrupamentoDeProdutos_Service", Ger09900_AgrupamentoDeProdutos_Service);
});