var EstUtil = function(templateManager, General, ZHPromise) {

    this.getFieldValue = function(filedName, widgetName, fromFilter = false) {
        try {
            var container = templateManager.container;
            if (container) {
                let valuesWidget = container.getWidget(widgetName);
                if (fromFilter) {
                    valuesWidget = templateManager.container.factoredWidgets.filter((widget) => { return widget._filteredWidgetId == valuesWidget.id; })[0];
                }
    
                if (valuesWidget) {
                    var valueField = valuesWidget.currentRow[filedName];
                    return valueField || null;
                }
                else return null;
            }
            else return null;
        }catch(error){ 
            return null; 
        }
    };
};

Configuration(function(ContextRegister) {
    ContextRegister.register('EstUtil', EstUtil);
});
