function Ger14600_ComposicaoDoProduto_Repository(restEngine) {

    this.deletaFilhos = function(row) {
         return restEngine.post('cadEst#/grupromoc/remove', {
            "requestType": "Row",
            "row": row
        });
    };
    
    this.verificaExistenciaDados = function(row) {
        var filtro = [
            {
                "name": "CDPRODUTO",
                "operator": "=",
                "value": row.CDPRODUTO
            }    
        ];
        return restEngine.post(row.ROTA, {
            "requestType": "FilterData",
            "filter": filtro
        });
    };
    
    this.verificaExistenciaDadosIL = function(row) {
       
        var filtro = [
            {
                "name": "CDPRODUTO",
                "operator": "=",
                "value": row.CDPRODUTO
            },
            {
                "name": "CDFILIAL",
                "operator": "=",
                "value": row.CDFILIAL
            }
        ];
        return restEngine.post(row.ROTA, {
            "requestType": "FilterData",
            "filter": filtro
        });

    };
    
    this.saveBlob = function(row) {
         return restEngine.post('cadEst#/saveBlob', {
            "requestType": "Row",
            "row": row
        });
    };
   

}

Configuration(function(ContextRegister) {
    ContextRegister.register('Ger14600_ComposicaoDoProduto_Repository', Ger14600_ComposicaoDoProduto_Repository);
});
